<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: Camera Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/dbb/class_camera.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">Camera Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Camera:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../da/dbb/class_camera.png" usemap="#Camera_map" alt=""/>
  <map id="Camera_map" name="Camera_map">
<area href="../../d2/d65/class_day_z_spectator.html" alt="DayZSpectator" shape="rect" coords="0,56,98,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a4c252ec8864ba9cfded28ad102833c17"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbb/class_camera.html#a4c252ec8864ba9cfded28ad102833c17">SetFreezed</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> freezed)</td></tr>
<tr class="memdesc:a4c252ec8864ba9cfded28ad102833c17"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets cameras freeze state.  <a href="../../da/dbb/class_camera.html#a4c252ec8864ba9cfded28ad102833c17">More...</a><br /></td></tr>
<tr class="separator:a4c252ec8864ba9cfded28ad102833c17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21488c38aee43b8d1922e42b3f4c89db"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbb/class_camera.html#a21488c38aee43b8d1922e42b3f4c89db">IsFreezed</a> ()</td></tr>
<tr class="memdesc:a21488c38aee43b8d1922e42b3f4c89db"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns if camera is freezed (you can't move it)  <a href="../../da/dbb/class_camera.html#a21488c38aee43b8d1922e42b3f4c89db">More...</a><br /></td></tr>
<tr class="separator:a21488c38aee43b8d1922e42b3f4c89db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1e9c4b6e7bcf5d54e76fe6c4e957820"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbb/class_camera.html#ab1e9c4b6e7bcf5d54e76fe6c4e957820">GetCrosshairObject</a> ()</td></tr>
<tr class="memdesc:ab1e9c4b6e7bcf5d54e76fe6c4e957820"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets object that free camera is currently pointing at.  <a href="../../da/dbb/class_camera.html#ab1e9c4b6e7bcf5d54e76fe6c4e957820">More...</a><br /></td></tr>
<tr class="separator:ab1e9c4b6e7bcf5d54e76fe6c4e957820"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a211db8755d8b979a86db98fb7550e17c"><td class="memItemLeft" align="right" valign="top">static proto native FreeDebugCamera&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbb/class_camera.html#a211db8755d8b979a86db98fb7550e17c">GetInstance</a> ()</td></tr>
<tr class="memdesc:a211db8755d8b979a86db98fb7550e17c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns reference to FreeDebugCamera (it's singleton, thus only one instance is present)  <a href="../../da/dbb/class_camera.html#a211db8755d8b979a86db98fb7550e17c">More...</a><br /></td></tr>
<tr class="separator:a211db8755d8b979a86db98fb7550e17c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d7/dcc/_camera_8c_source.html#l00069">69</a> of file <a class="el" href="../../d7/dcc/_camera_8c_source.html">Camera.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ab1e9c4b6e7bcf5d54e76fe6c4e957820" name="ab1e9c4b6e7bcf5d54e76fe6c4e957820"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1e9c4b6e7bcf5d54e76fe6c4e957820">&#9670;&#160;</a></span>GetCrosshairObject()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d8/d83/class_object.html">Object</a> Camera::GetCrosshairObject </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets object that free camera is currently pointing at. </p>
<dl class="section return"><dt>Returns</dt><dd><a class="el" href="../../d8/d83/class_object.html">Object</a> <code>reference</code> to <a class="el" href="../../d8/d83/class_object.html">Object</a> that FreeDebugCamera is pointing to </dd></dl>

</div>
</div>
<a id="a211db8755d8b979a86db98fb7550e17c" name="a211db8755d8b979a86db98fb7550e17c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a211db8755d8b979a86db98fb7550e17c">&#9670;&#160;</a></span>GetInstance()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static proto native FreeDebugCamera Camera::GetInstance </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns reference to FreeDebugCamera (it's singleton, thus only one instance is present) </p>
<dl class="section return"><dt>Returns</dt><dd>FreeDebugCamera <code>reference</code> to FreeDebugCamera instance </dd></dl>

</div>
</div>
<a id="a21488c38aee43b8d1922e42b3f4c89db" name="a21488c38aee43b8d1922e42b3f4c89db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21488c38aee43b8d1922e42b3f4c89db">&#9670;&#160;</a></span>IsFreezed()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> Camera::IsFreezed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns if camera is freezed (you can't move it) </p>
<dl class="section return"><dt>Returns</dt><dd>bool <code>true</code> if camera is freezed </dd></dl>

</div>
</div>
<a id="a4c252ec8864ba9cfded28ad102833c17" name="a4c252ec8864ba9cfded28ad102833c17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c252ec8864ba9cfded28ad102833c17">&#9670;&#160;</a></span>SetFreezed()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void Camera::SetFreezed </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>freezed</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Sets cameras freeze state. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">freezed</td><td><code>true</code> = don't allow camera movement </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/Entities/<a class="el" href="../../d7/dcc/_camera_8c_source.html">Camera.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../da/dbb/class_camera.html">Camera</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
